Mandriva Linux Security Advisory : lvm2 (MDVSA-2010:171)

medium Nessus Plugin ID 49117

Language:

Synopsis

The remote Mandriva Linux host is missing one or more security updates.

Description

A vulnerability has been found and corrected in lvm2 :

The cluster logical volume manager daemon (clvmd) in lvm2-cluster in LVM2 before 2.02.72, as used in Red Hat Global File System (GFS) and other products, does not verify client credentials upon a socket connection, which allows local users to cause a denial of service (daemon exit or logical-volume change) or possibly have unspecified other impact via crafted control commands (CVE-2010-2526).

The updated packages have been patched to correct this issue.

Solution

Update the affected packages.

Plugin Details

Severity: Medium

ID: 49117

File Name: mandriva_MDVSA-2010-171.nasl

Version: 1.13

Type: local

Published: 9/7/2010

Updated: 1/6/2021

Risk Information

VPR

Risk Factor: Medium

Score: 5.8

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:clvmd, p-cpe:/a:mandriva:linux:cmirror, p-cpe:/a:mandriva:linux:dmsetup, p-cpe:/a:mandriva:linux:lib64devmapper-devel, p-cpe:/a:mandriva:linux:lib64devmapper-event-devel, p-cpe:/a:mandriva:linux:lib64devmapper-event1.02, p-cpe:/a:mandriva:linux:lib64devmapper1.02, p-cpe:/a:mandriva:linux:lib64lvm2-devel, p-cpe:/a:mandriva:linux:lib64lvm2app2.1, p-cpe:/a:mandriva:linux:lib64lvm2cmd-devel, p-cpe:/a:mandriva:linux:lib64lvm2cmd2.02, p-cpe:/a:mandriva:linux:libdevmapper-devel, p-cpe:/a:mandriva:linux:libdevmapper-event-devel, p-cpe:/a:mandriva:linux:libdevmapper-event1.02, p-cpe:/a:mandriva:linux:libdevmapper1.02, p-cpe:/a:mandriva:linux:liblvm2-devel, p-cpe:/a:mandriva:linux:liblvm2app2.1, p-cpe:/a:mandriva:linux:liblvm2cmd-devel, p-cpe:/a:mandriva:linux:liblvm2cmd2.02, p-cpe:/a:mandriva:linux:lvm2, cpe:/o:mandriva:linux:2009.1, cpe:/o:mandriva:linux:2010.0, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 9/6/2010

Reference Information

CVE: CVE-2010-2526

BID: 42033

MDVSA: 2010:171